package com.ruoyi.powerdistribution.domain;

import java.math.BigDecimal;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 停电预算对象 pdm_stop_targe
 *
 * @author ruoyi
 * @date 2024-12-09
 */
@ExcelIgnoreUnannotated
public class PdmStopTarge extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 年 */
    @Excel(name = "年")
    private String reportYear;

    /** 单位编码 */
    @Excel(name = "单位编码")
    private String companyNo;

    /** 单位名称 */
    @ExcelProperty(index = 0)
    @Excel(name = "单位")
    private String companyName;

    /** 平均停电时长目标 */
    @ExcelProperty(index = 1)
    @Excel(name = "中压用户平均停电时长目标（小时）")
    private BigDecimal stopTimeAvg;

    /** 等效总用户数 */
    @ExcelProperty(index = 2)
    @Excel(name = "等效总用户数")
    private BigDecimal userTotal;

    /** 停电总时长目标 */
    @ExcelProperty(index = 3)
    @Excel(name = "停电总时长目标")
    private BigDecimal stopTimeTotal;

    /** 3年占比 */
    @ExcelProperty(index = 4)
    @Excel(name = "3年占比")
    private String threeYearRatio;

    /** 预安排停电总时长目标 */
    @ExcelProperty(index = 5)
    @Excel(name = "预安排停电总时长目标")
    private BigDecimal planStopTimeTotal;

    /** 预安排平均停电时长目标 */
    @ExcelProperty(index = 6)
    @Excel(name = "预安排平均停电时长目标")
    private BigDecimal planStopTimeAvg;

    /** 故障停电总时长目标 */
    @ExcelProperty(index = 7)
    @Excel(name = "故障停电总时长目标")
    private BigDecimal errorStopTimeTotal;

    /** 故障平均停电时长目标 */
    @ExcelProperty(index = 8)
    @Excel(name = "故障平均停电时长目标")
    private BigDecimal errorStopTimeAvg;

    /** 停电月度时长-1月 */
    @ExcelProperty(index = 9)
    @Excel(name = "停电月度时长-1月")
    private BigDecimal stopTimeMonth01;

    /** 停电月度时长-2月 */
    @ExcelProperty(index = 10)
    @Excel(name = "停电月度时长-2月")
    private BigDecimal stopTimeMonth02;

    /** 停电月度时长-3月 */
    @ExcelProperty(index = 11)
    @Excel(name = "停电月度时长-3月")
    private BigDecimal stopTimeMonth03;

    /** 停电月度时长-4月 */
    @ExcelProperty(index = 12)
    @Excel(name = "停电月度时长-4月")
    private BigDecimal stopTimeMonth04;

    /** 停电月度时长-5月 */
    @ExcelProperty(index = 13)
    @Excel(name = "停电月度时长-5月")
    private BigDecimal stopTimeMonth05;

    /** 停电月度时长-6月 */
    @ExcelProperty(index = 14)
    @Excel(name = "停电月度时长-6月")
    private BigDecimal stopTimeMonth06;

    /** 停电月度时长-7月 */
    @ExcelProperty(index = 15)
    @Excel(name = "停电月度时长-7月")
    private BigDecimal stopTimeMonth07;

    /** 停电月度时长-8月 */
    @ExcelProperty(index = 16)
    @Excel(name = "停电月度时长-8月")
    private BigDecimal stopTimeMonth08;

    /** 停电月度时长-9月 */
    @ExcelProperty(index = 17)
    @Excel(name = "停电月度时长-9月")
    private BigDecimal stopTimeMonth09;

    /** 停电月度时长-10月 */
    @ExcelProperty(index = 18)
    @Excel(name = "停电月度时长-10月")
    private BigDecimal stopTimeMonth10;

    /** 停电月度时长-11月 */
    @ExcelProperty(index = 19)
    @Excel(name = "停电月度时长-11月")
    private BigDecimal stopTimeMonth11;

    /** 停电月度时长-12月 */
    @ExcelProperty(index = 20)
    @Excel(name = "停电月度时长-12月")
    private BigDecimal stopTimeMonth12;

    /** 预安排停电月度时长-1月 */
    @ExcelProperty(index = 21)
    @Excel(name = "预安排停电月度时长-1月")
    private BigDecimal planStopTimeMonth01;

    /** 预安排停电月度时长-2月 */
    @ExcelProperty(index = 22)
    @Excel(name = "预安排停电月度时长-2月")
    private BigDecimal planStopTimeMonth02;

    /** 预安排停电月度时长-3月 */
    @ExcelProperty(index = 23)
    @Excel(name = "预安排停电月度时长-3月")
    private BigDecimal planStopTimeMonth03;

    /** 预安排停电月度时长-4月 */
    @ExcelProperty(index = 24)
    @Excel(name = "预安排停电月度时长-4月")
    private BigDecimal planStopTimeMonth04;

    /** 预安排停电月度时长-5月 */
    @ExcelProperty(index = 25)
    @Excel(name = "预安排停电月度时长-5月")
    private BigDecimal planStopTimeMonth05;

    /** 预安排停电月度时长-6月 */
    @ExcelProperty(index = 26)
    @Excel(name = "预安排停电月度时长-6月")
    private BigDecimal planStopTimeMonth06;

    /** 预安排停电月度时长-7月 */
    @ExcelProperty(index = 27)
    @Excel(name = "预安排停电月度时长-7月")
    private BigDecimal planStopTimeMonth07;

    /** 预安排停电月度时长-8月 */
    @ExcelProperty(index = 28)
    @Excel(name = "预安排停电月度时长-8月")
    private BigDecimal planStopTimeMonth08;

    /** 预安排停电月度时长-9月 */
    @ExcelProperty(index = 29)
    @Excel(name = "预安排停电月度时长-9月")
    private BigDecimal planStopTimeMonth09;

    /** 预安排停电月度时长-10月 */
    @ExcelProperty(index = 30)
    @Excel(name = "预安排停电月度时长-10月")
    private BigDecimal planStopTimeMonth10;

    /** 预安排停电月度时长-11月 */
    @ExcelProperty(index = 31)
    @Excel(name = "预安排停电月度时长-11月")
    private BigDecimal planStopTimeMonth11;

    /** 预安排停电月度时长-12月 */
    @ExcelProperty(index = 32)
    @Excel(name = "预安排停电月度时长-12月")
    private BigDecimal planStopTimeMonth12;

    /** 故障停电月度时长-1月 */
    @ExcelProperty(index = 33)
    @Excel(name = "故障停电月度时长-1月")
    private BigDecimal errorStopTimeMonth01;

    /** 故障停电月度时长-2月 */
    @ExcelProperty(index = 34)
    @Excel(name = "故障停电月度时长-2月")
    private BigDecimal errorStopTimeMonth02;

    /** 故障停电月度时长-3月 */
    @ExcelProperty(index = 35)
    @Excel(name = "故障停电月度时长-3月")
    private BigDecimal errorStopTimeMonth03;

    /** 故障停电月度时长-4月 */
    @ExcelProperty(index = 36)
    @Excel(name = "故障停电月度时长-4月")
    private BigDecimal errorStopTimeMonth04;

    /** 故障停电月度时长-5月 */
    @ExcelProperty(index = 37)
    @Excel(name = "故障停电月度时长-5月")
    private BigDecimal errorStopTimeMonth05;

    /** 故障停电月度时长-6月 */
    @ExcelProperty(index = 38)
    @Excel(name = "故障停电月度时长-6月")
    private BigDecimal errorStopTimeMonth06;

    /** 故障停电月度时长-7月 */
    @ExcelProperty(index = 39)
    @Excel(name = "故障停电月度时长-7月")
    private BigDecimal errorStopTimeMonth07;

    /** 故障停电月度时长-8月 */
    @ExcelProperty(index = 40)
    @Excel(name = "故障停电月度时长-8月")
    private BigDecimal errorStopTimeMonth08;

    /** 故障停电月度时长-9月 */
    @ExcelProperty(index = 41)
    @Excel(name = "故障停电月度时长-9月")
    private BigDecimal errorStopTimeMonth09;

    /** 故障停电月度时长-10月 */
    @ExcelProperty(index = 42)
    @Excel(name = "故障停电月度时长-10月")
    private BigDecimal errorStopTimeMonth10;

    /** 故障停电月度时长-11月 */
    @ExcelProperty(index = 43)
    @Excel(name = "故障停电月度时长-11月")
    private BigDecimal errorStopTimeMonth11;

    /** 故障停电月度时长-12月 */
    @ExcelProperty(index = 44)
    @Excel(name = "故障停电月度时长-12月")
    private BigDecimal errorStopTimeMonth12;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setReportYear(String reportYear)
    {
        this.reportYear = reportYear;
    }

    public String getReportYear()
    {
        return reportYear;
    }
    public void setCompanyNo(String companyNo)
    {
        this.companyNo = companyNo;
    }

    public String getCompanyNo()
    {
        return companyNo;
    }
    public void setCompanyName(String companyName)
    {
        this.companyName = companyName;
    }

    public String getCompanyName()
    {
        return companyName;
    }
    public void setStopTimeAvg(BigDecimal stopTimeAvg)
    {
        this.stopTimeAvg = stopTimeAvg;
    }

    public BigDecimal getStopTimeAvg()
    {
        return stopTimeAvg;
    }
    public void setUserTotal(BigDecimal userTotal)
    {
        this.userTotal = userTotal;
    }

    public BigDecimal getUserTotal()
    {
        return userTotal;
    }
    public void setStopTimeTotal(BigDecimal stopTimeTotal)
    {
        this.stopTimeTotal = stopTimeTotal;
    }

    public BigDecimal getStopTimeTotal()
    {
        return stopTimeTotal;
    }
    public void setThreeYearRatio(String threeYearRatio)
    {
        this.threeYearRatio = threeYearRatio;
    }

    public String getThreeYearRatio()
    {
        return threeYearRatio;
    }
    public void setPlanStopTimeTotal(BigDecimal planStopTimeTotal)
    {
        this.planStopTimeTotal = planStopTimeTotal;
    }

    public BigDecimal getPlanStopTimeTotal()
    {
        return planStopTimeTotal;
    }
    public void setPlanStopTimeAvg(BigDecimal planStopTimeAvg)
    {
        this.planStopTimeAvg = planStopTimeAvg;
    }

    public BigDecimal getPlanStopTimeAvg()
    {
        return planStopTimeAvg;
    }
    public void setErrorStopTimeTotal(BigDecimal errorStopTimeTotal)
    {
        this.errorStopTimeTotal = errorStopTimeTotal;
    }

    public BigDecimal getErrorStopTimeTotal()
    {
        return errorStopTimeTotal;
    }
    public void setErrorStopTimeAvg(BigDecimal errorStopTimeAvg)
    {
        this.errorStopTimeAvg = errorStopTimeAvg;
    }

    public BigDecimal getErrorStopTimeAvg()
    {
        return errorStopTimeAvg;
    }
    public void setStopTimeMonth01(BigDecimal stopTimeMonth01)
    {
        this.stopTimeMonth01 = stopTimeMonth01;
    }

    public BigDecimal getStopTimeMonth01()
    {
        return stopTimeMonth01;
    }
    public void setStopTimeMonth02(BigDecimal stopTimeMonth02)
    {
        this.stopTimeMonth02 = stopTimeMonth02;
    }

    public BigDecimal getStopTimeMonth02()
    {
        return stopTimeMonth02;
    }
    public void setStopTimeMonth03(BigDecimal stopTimeMonth03)
    {
        this.stopTimeMonth03 = stopTimeMonth03;
    }

    public BigDecimal getStopTimeMonth03()
    {
        return stopTimeMonth03;
    }
    public void setStopTimeMonth04(BigDecimal stopTimeMonth04)
    {
        this.stopTimeMonth04 = stopTimeMonth04;
    }

    public BigDecimal getStopTimeMonth04()
    {
        return stopTimeMonth04;
    }
    public void setStopTimeMonth05(BigDecimal stopTimeMonth05)
    {
        this.stopTimeMonth05 = stopTimeMonth05;
    }

    public BigDecimal getStopTimeMonth05()
    {
        return stopTimeMonth05;
    }
    public void setStopTimeMonth06(BigDecimal stopTimeMonth06)
    {
        this.stopTimeMonth06 = stopTimeMonth06;
    }

    public BigDecimal getStopTimeMonth06()
    {
        return stopTimeMonth06;
    }
    public void setStopTimeMonth07(BigDecimal stopTimeMonth07)
    {
        this.stopTimeMonth07 = stopTimeMonth07;
    }

    public BigDecimal getStopTimeMonth07()
    {
        return stopTimeMonth07;
    }
    public void setStopTimeMonth08(BigDecimal stopTimeMonth08)
    {
        this.stopTimeMonth08 = stopTimeMonth08;
    }

    public BigDecimal getStopTimeMonth08()
    {
        return stopTimeMonth08;
    }
    public void setStopTimeMonth09(BigDecimal stopTimeMonth09)
    {
        this.stopTimeMonth09 = stopTimeMonth09;
    }

    public BigDecimal getStopTimeMonth09()
    {
        return stopTimeMonth09;
    }
    public void setStopTimeMonth10(BigDecimal stopTimeMonth10)
    {
        this.stopTimeMonth10 = stopTimeMonth10;
    }

    public BigDecimal getStopTimeMonth10()
    {
        return stopTimeMonth10;
    }
    public void setStopTimeMonth11(BigDecimal stopTimeMonth11)
    {
        this.stopTimeMonth11 = stopTimeMonth11;
    }

    public BigDecimal getStopTimeMonth11()
    {
        return stopTimeMonth11;
    }
    public void setStopTimeMonth12(BigDecimal stopTimeMonth12)
    {
        this.stopTimeMonth12 = stopTimeMonth12;
    }

    public BigDecimal getStopTimeMonth12()
    {
        return stopTimeMonth12;
    }
    public void setPlanStopTimeMonth01(BigDecimal planStopTimeMonth01)
    {
        this.planStopTimeMonth01 = planStopTimeMonth01;
    }

    public BigDecimal getPlanStopTimeMonth01()
    {
        return planStopTimeMonth01;
    }
    public void setPlanStopTimeMonth02(BigDecimal planStopTimeMonth02)
    {
        this.planStopTimeMonth02 = planStopTimeMonth02;
    }

    public BigDecimal getPlanStopTimeMonth02()
    {
        return planStopTimeMonth02;
    }
    public void setPlanStopTimeMonth03(BigDecimal planStopTimeMonth03)
    {
        this.planStopTimeMonth03 = planStopTimeMonth03;
    }

    public BigDecimal getPlanStopTimeMonth03()
    {
        return planStopTimeMonth03;
    }
    public void setPlanStopTimeMonth04(BigDecimal planStopTimeMonth04)
    {
        this.planStopTimeMonth04 = planStopTimeMonth04;
    }

    public BigDecimal getPlanStopTimeMonth04()
    {
        return planStopTimeMonth04;
    }
    public void setPlanStopTimeMonth05(BigDecimal planStopTimeMonth05)
    {
        this.planStopTimeMonth05 = planStopTimeMonth05;
    }

    public BigDecimal getPlanStopTimeMonth05()
    {
        return planStopTimeMonth05;
    }
    public void setPlanStopTimeMonth06(BigDecimal planStopTimeMonth06)
    {
        this.planStopTimeMonth06 = planStopTimeMonth06;
    }

    public BigDecimal getPlanStopTimeMonth06()
    {
        return planStopTimeMonth06;
    }
    public void setPlanStopTimeMonth07(BigDecimal planStopTimeMonth07)
    {
        this.planStopTimeMonth07 = planStopTimeMonth07;
    }

    public BigDecimal getPlanStopTimeMonth07()
    {
        return planStopTimeMonth07;
    }
    public void setPlanStopTimeMonth08(BigDecimal planStopTimeMonth08)
    {
        this.planStopTimeMonth08 = planStopTimeMonth08;
    }

    public BigDecimal getPlanStopTimeMonth08()
    {
        return planStopTimeMonth08;
    }
    public void setPlanStopTimeMonth09(BigDecimal planStopTimeMonth09)
    {
        this.planStopTimeMonth09 = planStopTimeMonth09;
    }

    public BigDecimal getPlanStopTimeMonth09()
    {
        return planStopTimeMonth09;
    }
    public void setPlanStopTimeMonth10(BigDecimal planStopTimeMonth10)
    {
        this.planStopTimeMonth10 = planStopTimeMonth10;
    }

    public BigDecimal getPlanStopTimeMonth10()
    {
        return planStopTimeMonth10;
    }
    public void setPlanStopTimeMonth11(BigDecimal planStopTimeMonth11)
    {
        this.planStopTimeMonth11 = planStopTimeMonth11;
    }

    public BigDecimal getPlanStopTimeMonth11()
    {
        return planStopTimeMonth11;
    }
    public void setPlanStopTimeMonth12(BigDecimal planStopTimeMonth12)
    {
        this.planStopTimeMonth12 = planStopTimeMonth12;
    }

    public BigDecimal getPlanStopTimeMonth12()
    {
        return planStopTimeMonth12;
    }
    public void setErrorStopTimeMonth01(BigDecimal errorStopTimeMonth01)
    {
        this.errorStopTimeMonth01 = errorStopTimeMonth01;
    }

    public BigDecimal getErrorStopTimeMonth01()
    {
        return errorStopTimeMonth01;
    }
    public void setErrorStopTimeMonth02(BigDecimal errorStopTimeMonth02)
    {
        this.errorStopTimeMonth02 = errorStopTimeMonth02;
    }

    public BigDecimal getErrorStopTimeMonth02()
    {
        return errorStopTimeMonth02;
    }
    public void setErrorStopTimeMonth03(BigDecimal errorStopTimeMonth03)
    {
        this.errorStopTimeMonth03 = errorStopTimeMonth03;
    }

    public BigDecimal getErrorStopTimeMonth03()
    {
        return errorStopTimeMonth03;
    }
    public void setErrorStopTimeMonth04(BigDecimal errorStopTimeMonth04)
    {
        this.errorStopTimeMonth04 = errorStopTimeMonth04;
    }

    public BigDecimal getErrorStopTimeMonth04()
    {
        return errorStopTimeMonth04;
    }
    public void setErrorStopTimeMonth05(BigDecimal errorStopTimeMonth05)
    {
        this.errorStopTimeMonth05 = errorStopTimeMonth05;
    }

    public BigDecimal getErrorStopTimeMonth05()
    {
        return errorStopTimeMonth05;
    }
    public void setErrorStopTimeMonth06(BigDecimal errorStopTimeMonth06)
    {
        this.errorStopTimeMonth06 = errorStopTimeMonth06;
    }

    public BigDecimal getErrorStopTimeMonth06()
    {
        return errorStopTimeMonth06;
    }
    public void setErrorStopTimeMonth07(BigDecimal errorStopTimeMonth07)
    {
        this.errorStopTimeMonth07 = errorStopTimeMonth07;
    }

    public BigDecimal getErrorStopTimeMonth07()
    {
        return errorStopTimeMonth07;
    }
    public void setErrorStopTimeMonth08(BigDecimal errorStopTimeMonth08)
    {
        this.errorStopTimeMonth08 = errorStopTimeMonth08;
    }

    public BigDecimal getErrorStopTimeMonth08()
    {
        return errorStopTimeMonth08;
    }
    public void setErrorStopTimeMonth09(BigDecimal errorStopTimeMonth09)
    {
        this.errorStopTimeMonth09 = errorStopTimeMonth09;
    }

    public BigDecimal getErrorStopTimeMonth09()
    {
        return errorStopTimeMonth09;
    }
    public void setErrorStopTimeMonth10(BigDecimal errorStopTimeMonth10)
    {
        this.errorStopTimeMonth10 = errorStopTimeMonth10;
    }

    public BigDecimal getErrorStopTimeMonth10()
    {
        return errorStopTimeMonth10;
    }
    public void setErrorStopTimeMonth11(BigDecimal errorStopTimeMonth11)
    {
        this.errorStopTimeMonth11 = errorStopTimeMonth11;
    }

    public BigDecimal getErrorStopTimeMonth11()
    {
        return errorStopTimeMonth11;
    }
    public void setErrorStopTimeMonth12(BigDecimal errorStopTimeMonth12)
    {
        this.errorStopTimeMonth12 = errorStopTimeMonth12;
    }

    public BigDecimal getErrorStopTimeMonth12()
    {
        return errorStopTimeMonth12;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("reportYear", getReportYear())
            .append("companyNo", getCompanyNo())
            .append("companyName", getCompanyName())
            .append("stopTimeAvg", getStopTimeAvg())
            .append("userTotal", getUserTotal())
            .append("stopTimeTotal", getStopTimeTotal())
            .append("threeYearRatio", getThreeYearRatio())
            .append("planStopTimeTotal", getPlanStopTimeTotal())
            .append("planStopTimeAvg", getPlanStopTimeAvg())
            .append("errorStopTimeTotal", getErrorStopTimeTotal())
            .append("errorStopTimeAvg", getErrorStopTimeAvg())
            .append("stopTimeMonth01", getStopTimeMonth01())
            .append("stopTimeMonth02", getStopTimeMonth02())
            .append("stopTimeMonth03", getStopTimeMonth03())
            .append("stopTimeMonth04", getStopTimeMonth04())
            .append("stopTimeMonth05", getStopTimeMonth05())
            .append("stopTimeMonth06", getStopTimeMonth06())
            .append("stopTimeMonth07", getStopTimeMonth07())
            .append("stopTimeMonth08", getStopTimeMonth08())
            .append("stopTimeMonth09", getStopTimeMonth09())
            .append("stopTimeMonth10", getStopTimeMonth10())
            .append("stopTimeMonth11", getStopTimeMonth11())
            .append("stopTimeMonth12", getStopTimeMonth12())
            .append("planStopTimeMonth01", getPlanStopTimeMonth01())
            .append("planStopTimeMonth02", getPlanStopTimeMonth02())
            .append("planStopTimeMonth03", getPlanStopTimeMonth03())
            .append("planStopTimeMonth04", getPlanStopTimeMonth04())
            .append("planStopTimeMonth05", getPlanStopTimeMonth05())
            .append("planStopTimeMonth06", getPlanStopTimeMonth06())
            .append("planStopTimeMonth07", getPlanStopTimeMonth07())
            .append("planStopTimeMonth08", getPlanStopTimeMonth08())
            .append("planStopTimeMonth09", getPlanStopTimeMonth09())
            .append("planStopTimeMonth10", getPlanStopTimeMonth10())
            .append("planStopTimeMonth11", getPlanStopTimeMonth11())
            .append("planStopTimeMonth12", getPlanStopTimeMonth12())
            .append("errorStopTimeMonth01", getErrorStopTimeMonth01())
            .append("errorStopTimeMonth02", getErrorStopTimeMonth02())
            .append("errorStopTimeMonth03", getErrorStopTimeMonth03())
            .append("errorStopTimeMonth04", getErrorStopTimeMonth04())
            .append("errorStopTimeMonth05", getErrorStopTimeMonth05())
            .append("errorStopTimeMonth06", getErrorStopTimeMonth06())
            .append("errorStopTimeMonth07", getErrorStopTimeMonth07())
            .append("errorStopTimeMonth08", getErrorStopTimeMonth08())
            .append("errorStopTimeMonth09", getErrorStopTimeMonth09())
            .append("errorStopTimeMonth10", getErrorStopTimeMonth10())
            .append("errorStopTimeMonth11", getErrorStopTimeMonth11())
            .append("errorStopTimeMonth12", getErrorStopTimeMonth12())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
